Index: [Article Count Order] [Thread]

Date: Sun, 02 Nov 2014 16:43:52 +0900
From: ごりゅ <sakura@usamimi.info>
Subject: [info-ml:00199] お知らせ PHP5.3系からPHP5.5系へのバージョアップのスケジュール
To: info-ml@usamimi.info
Message-Id: <5455E0B8.9010308@usamimi.info>
X-Mail-Count: 00199

こんにちは
ごりゅです。

///お知らせ(PHP 5.3 -> 5.5)///
usamimi.infoではPHPのバージョンはデフォルトでは5.3系が稼働していますが
これを来週(10/9頃を目処)に5.5系に引き上げます。

PHP5.5も数年前にリリースされたバージョンであるため
殆のPHPのプログラムについては、よほど古いバージョンを使用していない限り
問題なく動作すると思います。

PHP5.3は今年の夏に公式サポートが終了し
今後問題が発生しても新しいバージョンが出てこない為
セキュリティ的に危険になっているため、usamimi.infoに設置されているPHPから
侵入されたり、ハッキングの踏み台にされたりしないようにするための処置です
のでご理解をお願い致します。

尚、デフォルト環境のPHP5.5への切り替えは来週行われますが
PHP5.5環境は既にusamimi.info上に存在していて
htaccessを使うことで自分の好きなタイミングにバージョンを切り替えて
動作を確認することが可能になっています。
切り替える方法は以下のページで確認できます。
http://marisa.usamimi.info/project/projects/usamimi-info/wiki/PHP%E3%83%90%E3%83%BC%E3%82%B8%E3%83%A7%E3%83%B3%E5%88%87%E6%9B%BF%E6%96%B9%E6%B3%95

PHP5.5にした時にこちらで動作が確認できていない物は1点
wikiなどでよく使われている「pukiwik」が
1.4系のバージョンは、そのままでは動作しなくなっています。
改造を行って対応するか、公式サイトに1.5がリリースされていますので
そちらへのバージョンアップをお願いします。

PHP5.3環境は切り替え後もしばらく残します。
その為htaccessで明示的にPHP5.3を指定することで使い続けることが可能ですが
危険なバージョンになっていることは確かであるため、今月一杯を目処に削除す
る予定ですが
何時消すかは不定であるため、早めの移行をお願いします。
# 致命的な脆弱性などが出てきた場合は予告なしに期限を繰り上げて削除するこ
とも可能性としてあります。

メーリングリストの連絡は、情報の履歴を残すために配信しています。
http://www.usamimi.info/fml_log/
とはいえ、最近は長文メールを書くのにもなかなか思い切りがつかず
頻度が減っているため、細かい情報や今の情報は、twitterを参照するようにお
願いします。
http://twitter.com/usamimiinfo

-- 
\e
--------------------------
ふろむ:goryu
めいる<sakura@usamimi.info>
ほーむ<http://www.usamimi.info/>